Compile a Hello World from Typescript to Lua
=============

With the help of
[https://typescripttolua.github.io/](https://typescripttolua.github.io/)


compile

```
console.log("Hello");
```


to:
```lua
print("Hello")
```




## Sources
 
[index.ts](20240910_hello-typescript-lua/index.ts.txt)
```{#index.ts .js .numberLines }
console.log("Hello");
```
 
[tsconfig.json](20240910_hello-typescript-lua/tsconfig.json.txt)
```{#tsconfig.json .js .numberLines }
{
  "$schema": "https://raw.githubusercontent.com/TypeScriptToLua/TypeScriptToLua/master/tsconfig-schema.json",
  "compilerOptions": {
    "target": "ESNext",
    "lib": ["ESNext","dom" ],
    "moduleResolution": "Node",
    "types": [],
    "strict": true
  },
  "tstl": {
    "luaTarget": "JIT"
  }
}
```
 
[package.json](20240910_hello-typescript-lua/package.json.txt)
```{#package.json .js .numberLines }
{
  "private": true,
  "scripts": {
    "build": "tstl",
    "dev": "tstl --watch"
  },
  "devDependencies": {
    "typescript-to-lua": "..."
  }
}
```

## Download

[20240910_hello-typescript-lua_180343.zip](20240910_hello-typescript-lua_180343.zip)
  
--
  
    created by:   ben  
    last edited:  10.09.2024, 13:30:25  
    generated:    10.09.2024, 18:03:43  

article source: [hello-typescript-lua](20240910_hello-typescript-lua/hello-typescript-lua.md.txt)
